Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs	(revision 14908)
@@ -13,5 +13,5 @@
       if (!IsEnabled) return;
 
-      this.items[items.Count - 1].Add(item);
+      items[items.Count - 1].Add(item);
     }
 
@@ -36,5 +36,5 @@
 
     public void Clear() {
-      this.items.Clear();
+      items.Clear();
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs	(revision 14908)
@@ -22,6 +22,6 @@
 
     public PushStack(int capacity = 0) {
-      this.data = new List<T>(capacity);
-      this.IsEnabled = true;
+      data = new List<T>(capacity);
+      IsEnabled = true;
     }
 
@@ -32,5 +32,5 @@
       get
       {
-        return this.data.Capacity;
+        return data.Capacity;
       }
     }
@@ -40,5 +40,5 @@
       get
       {
-        return this.data[this.Count - 1];
+        return data[Count - 1];
       }
     }
@@ -48,5 +48,5 @@
       get
       {
-        return this.Count > 0 ? this.data[this.Count - 1] : default(T);
+        return Count > 0 ? data[Count - 1] : default(T);
       }
     }
@@ -56,5 +56,5 @@
       get
       {
-        return this.data[0];
+        return data[0];
       }
     }
@@ -64,5 +64,5 @@
       get
       {
-        return this.Count > 0 ? this.data[0] : default(T);
+        return Count > 0 ? data[0] : default(T);
       }
     }
@@ -72,5 +72,5 @@
       get
       {
-        return this.data.Count;
+        return data.Count;
       }
     }
@@ -80,5 +80,5 @@
       get
       {
-        return this.Count == 0;
+        return Count == 0;
       }
     }
@@ -93,33 +93,33 @@
 
     public void Add(T item) {
-      this.Push(item);
+      Push(item);
     }
 
     public void Clear() {
-      this.data.Clear();
+      data.Clear();
     }
 
     public bool Contains(T item) {
-      return this.data.Contains(item);
+      return data.Contains(item);
     }
 
     public void CopyTo(T[] array, int arrayIndex) {
-      this.data.CopyTo(array, arrayIndex);
+      data.CopyTo(array, arrayIndex);
     }
 
     public IEnumerator<T> GetEnumerator() {
-      return this.data.GetEnumerator();
+      return data.GetEnumerator();
     }
 
     public T ElementAt(int index) {
-      return this.data[index];
+      return data[index];
     }
 
     public T ReverseElementAt(int offset) {
-      return this.data[this.data.Count - 1 - offset];
+      return data[data.Count - 1 - offset];
     }
 
     public void SetTop(T value) {
-      this.data[this.Count - 1] = value;
+      data[Count - 1] = value;
     }
 
@@ -128,32 +128,32 @@
       get
       {
-        return this.data[key];
+        return data[key];
       }
       set
       {
-        this.data[key] = value;
+        data[key] = value;
       }
     }
 
     public void Swap(int count) {
-      var top = this.Top;
-      var bottomIndex = this.Count - count;
-
-      for (var i = this.Count - 1; i > bottomIndex; i--) this.data[i] = this.data[i - 1];
-
-      this.data[bottomIndex] = top;
+      var top = Top;
+      var bottomIndex = Count - count;
+
+      for (var i = Count - 1; i > bottomIndex; i--) data[i] = data[i - 1];
+
+      data[bottomIndex] = top;
     }
 
     public void Yank(int index) {
-      if (index == this.Count - 1) return;
-
-      var item = this.ElementAt(index);
-      this.data.RemoveAt(index);
-      this.data.Add(item);
+      if (index == Count - 1) return;
+
+      var item = ElementAt(index);
+      data.RemoveAt(index);
+      data.Add(item);
     }
 
     public T Pop() {
-      var value = this.data[this.Count - 1];
-      this.data.RemoveAt(this.Count - 1);
+      var value = data[Count - 1];
+      data.RemoveAt(Count - 1);
 
       return value;
@@ -161,6 +161,6 @@
 
     public T[] Pop(int count) {
-      var items = this.Peek(count);
-      this.Remove(count);
+      var items = Peek(count);
+      Remove(count);
 
       return items;
@@ -168,12 +168,12 @@
 
     public T Peek() {
-      return this.Top;
+      return Top;
     }
 
     public T[] Peek(int count) {
-      var startIndex = this.Count - count;
+      var startIndex = Count - count;
 
       var items = new T[count];
-      this.data.CopyTo(startIndex, items, 0, count);
+      data.CopyTo(startIndex, items, 0, count);
 
       return items;
@@ -181,73 +181,73 @@
 
     public void Push(T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item);
+      if (!IsEnabled) return;
+
+      data.Add(item);
     }
 
     public void Push(T item1, T item2) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
     }
 
     public void Push(T item1, T item2, T item3) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
-      this.data.Add(item3);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
+      data.Add(item3);
     }
 
     public void Push(T item1, T item2, T item3, T item4) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
-      this.data.Add(item3);
-      this.data.Add(item4);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
+      data.Add(item3);
+      data.Add(item4);
     }
 
     public void PushResult(int count, Func<T[], T> templateFunc) {
-      if (!this.IsEnabled) return;
-
-      var startIndex = this.Count - count;
+      if (!IsEnabled) return;
+
+      var startIndex = Count - count;
       var items = new T[count];
 
-      this.data.CopyTo(startIndex, items, 0, count);
-      this.Remove(count - 1);
-
-      this.data[this.Count - 1] = templateFunc(items);
+      data.CopyTo(startIndex, items, 0, count);
+      Remove(count - 1);
+
+      data[Count - 1] = templateFunc(items);
     }
 
     public void Push(IReadOnlyList<T> items) {
-      if (!this.IsEnabled) return;
-
-      for (var i = 0; i < items.Count; i++) this.data.Add(items[i]);
+      if (!IsEnabled) return;
+
+      for (var i = 0; i < items.Count; i++) data.Add(items[i]);
     }
 
     public void Insert(int index, T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.Insert(index, item);
+      if (!IsEnabled) return;
+
+      data.Insert(index, item);
     }
 
     public void Insert(int index, params T[] items) {
-      if (!this.IsEnabled) return;
-
-      this.data.InsertRange(index, items);
+      if (!IsEnabled) return;
+
+      data.InsertRange(index, items);
     }
 
     public void Insert(int index, IEnumerable<T> items) {
-      if (!this.IsEnabled) return;
-
-      this.data.InsertRange(index, items);
+      if (!IsEnabled) return;
+
+      data.InsertRange(index, items);
     }
 
     public bool Remove(T item) {
-      var index = this.Count - 1;
-      if ((this.Count > 0) && this.data[index].Equals(item)) {
-        this.data.RemoveAt(index);
+      var index = Count - 1;
+      if ((Count > 0) && data[index].Equals(item)) {
+        data.RemoveAt(index);
         return true;
       }
@@ -256,22 +256,22 @@
 
     public void RemoveTop() {
-      this.data.RemoveAt(this.Count - 1);
+      data.RemoveAt(Count - 1);
     }
 
     public void Remove(int count) {
-      for (var i = 0; i < count; i++) this.data.RemoveAt(this.Count - 1);
+      for (var i = 0; i < count; i++) data.RemoveAt(Count - 1);
     }
 
     public void RemoveAt(int index) {
-      this.data.RemoveAt(index);
+      data.RemoveAt(index);
     }
 
     public void RemoveAt(int index, int count) {
-      this.data.RemoveRange(index, count);
+      data.RemoveRange(index, count);
     }
 
     public bool TryPop(out T item) {
-      if (this.Count > 0) {
-        item = this.Pop();
+      if (Count > 0) {
+        item = Pop();
         return true;
       }
Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs	(revision 14908)
@@ -22,6 +22,6 @@
 
     public PushStack3() {
-      this.data = new LinkedList<T>();
-      this.IsEnabled = true;
+      data = new LinkedList<T>();
+      IsEnabled = true;
     }
 
@@ -32,5 +32,5 @@
       get
       {
-        return this.data.Last.Value;
+        return data.Last.Value;
       }
     }
@@ -40,5 +40,5 @@
       get
       {
-        return this.Count > 0 ? Top : default(T);
+        return Count > 0 ? Top : default(T);
       }
     }
@@ -48,5 +48,5 @@
       get
       {
-        return this.data.First.Value;
+        return data.First.Value;
       }
     }
@@ -56,5 +56,5 @@
       get
       {
-        return this.Count > 0 ? Bottom : default(T);
+        return Count > 0 ? Bottom : default(T);
       }
     }
@@ -64,5 +64,5 @@
       get
       {
-        return this.data.Count;
+        return data.Count;
       }
     }
@@ -72,5 +72,5 @@
       get
       {
-        return this.Count == 0;
+        return Count == 0;
       }
     }
@@ -85,25 +85,25 @@
 
     public void Add(T item) {
-      this.Push(item);
+      Push(item);
     }
 
     public void Clear() {
-      this.data.Clear();
+      data.Clear();
     }
 
     public bool Contains(T item) {
-      return this.data.Contains(item);
+      return data.Contains(item);
     }
 
     public void CopyTo(T[] array, int arrayIndex) {
-      this.data.CopyTo(array, arrayIndex);
+      data.CopyTo(array, arrayIndex);
     }
 
     public IEnumerator<T> GetEnumerator() {
-      return this.data.GetEnumerator();
+      return data.GetEnumerator();
     }
 
     public T ElementAt(int index) {
-      return this.data.ElementAt(index);
+      return data.ElementAt(index);
     }
 
@@ -113,5 +113,5 @@
 
     public void SetTop(T value) {
-      this.data.Last.Value = value;
+      data.Last.Value = value;
     }
 
@@ -138,28 +138,28 @@
 
     public void Swap(int count) {
-      var topValue = this.Top;
-      var current = this.data.Last;
-      var bottomIndex = this.Count - count;
-
-
-      for (var i = this.Count - 1; i > bottomIndex; i--) {
+      var topValue = Top;
+      var current = data.Last;
+      var bottomIndex = Count - count;
+
+
+      for (var i = Count - 1; i > bottomIndex; i--) {
         current.Value = current.Previous.Value;
         current = current.Previous;
       }
 
-      this.data.Last.Value = topValue;
+      data.Last.Value = topValue;
     }
 
     public void Yank(int index) {
-      if (index == this.Count - 1) return;
-
-      var item = this.GetByIndex(index);
-      this.data.Remove(item);
-      this.data.AddLast(item);
+      if (index == Count - 1) return;
+
+      var item = GetByIndex(index);
+      data.Remove(item);
+      data.AddLast(item);
     }
 
     public T Pop() {
       var value = Top;
-      this.data.RemoveLast();
+      data.RemoveLast();
 
       return value;
@@ -178,10 +178,10 @@
 
     public T Peek() {
-      return this.Top;
+      return Top;
     }
 
     public T[] Peek(int count) {
       var items = new T[count];
-      var current = this.data.Last;
+      var current = data.Last;
 
       for (var i = 0; i < count; i++) {
@@ -194,35 +194,35 @@
 
     public void Push(T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item);
+      if (!IsEnabled) return;
+
+      data.AddLast(item);
     }
 
     public void Push(T item1, T item2) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
     }
 
     public void Push(T item1, T item2, T item3) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
-      this.data.AddLast(item3);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
+      data.AddLast(item3);
     }
 
     public void Push(T item1, T item2, T item3, T item4) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
-      this.data.AddLast(item3);
-      this.data.AddLast(item4);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
+      data.AddLast(item3);
+      data.AddLast(item4);
     }
 
     public void PushResult(int count, Func<T[], T> templateFunc) {
-      if (!this.IsEnabled) return;
+      if (!IsEnabled) return;
 
       Push(templateFunc(Pop(count)));
@@ -230,26 +230,26 @@
 
     public void PushRange(IReadOnlyList<T> items) {
-      if (!this.IsEnabled) return;
-
-      for (var i = 0; i < items.Count; i++) this.data.AddLast(items[i]);
+      if (!IsEnabled) return;
+
+      for (var i = 0; i < items.Count; i++) data.AddLast(items[i]);
     }
 
     public void Insert(int index, T value) {
-      if (!this.IsEnabled) return;
+      if (!IsEnabled) return;
 
       var node = GetByIndex(index);
-      this.data.AddBefore(node, value);
+      data.AddBefore(node, value);
     }
 
     public bool Remove(T item) {
-      return this.data.Remove(item);
+      return data.Remove(item);
     }
 
     public void RemoveTop() {
-      this.data.RemoveLast();
+      data.RemoveLast();
     }
 
     public void Remove(int count) {
-      for (var i = 0; i < count; i++) this.data.RemoveLast();
+      for (var i = 0; i < count; i++) data.RemoveLast();
     }
 
@@ -257,5 +257,5 @@
       var node = GetByIndex(index);
 
-      this.data.Remove(node);
+      data.Remove(node);
     }
 
@@ -271,6 +271,6 @@
 
     public bool TryPop(out T item) {
-      if (this.Count > 0) {
-        item = this.Pop();
+      if (Count > 0) {
+        item = Pop();
         return true;
       }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/DataEditorView.cs	(revision 14908)
@@ -150,5 +150,5 @@
       }
 
-      this.nameTextBox.Text = Content.Name;
+      nameTextBox.Text = Content.Name;
 
       var cellTemplate = new DataGridViewTextBoxCell();
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErcValue.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErcValue.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErcValue.cs	(revision 14908)
@@ -30,6 +30,6 @@
 
     public BooleanRandomErcValue(BooleanRandomErcValue origin, Cloner cloner) : base(origin, cloner) {
-      this.AllowFalse = origin.AllowFalse;
-      this.AllowTrue = origin.AllowTrue;
+      AllowFalse = origin.AllowFalse;
+      AllowTrue = origin.AllowTrue;
     }
 
@@ -61,7 +61,7 @@
 
     public override bool GetErcValue(IRandom random) {
-      if (!this.AllowTrue && !this.AllowFalse) throw new InvalidOperationException();
-      if (!this.AllowFalse) return true;
-      if (!this.AllowTrue) return false;
+      if (!AllowTrue && !AllowFalse) throw new InvalidOperationException();
+      if (!AllowFalse) return true;
+      if (!AllowTrue) return false;
 
       return random.NextDouble() >= 0.5;
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErcValue.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErcValue.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErcValue.cs	(revision 14908)
@@ -26,17 +26,17 @@
     public IValueParameter<DoubleRange> RangeParameter
     {
-      get { return (IValueParameter<DoubleRange>)this.Parameters[RangeParameterName]; }
+      get { return (IValueParameter<DoubleRange>)Parameters[RangeParameterName]; }
     }
 
     public double Start
     {
-      get { return this.RangeParameter.Value.Start; }
-      set { this.RangeParameter.Value.Start = value; }
+      get { return RangeParameter.Value.Start; }
+      set { RangeParameter.Value.Start = value; }
     }
 
     public double End
     {
-      get { return this.RangeParameter.Value.End; }
-      set { this.RangeParameter.Value.End = value; }
+      get { return RangeParameter.Value.End; }
+      set { RangeParameter.Value.End = value; }
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErcValue.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErcValue.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErcValue.cs	(revision 14908)
@@ -26,22 +26,22 @@
     public IValueParameter<IntRange> RangeParameter
     {
-      get { return (IValueParameter<IntRange>)this.Parameters[RangeParameterName]; }
+      get { return (IValueParameter<IntRange>)Parameters[RangeParameterName]; }
     }
 
     public int Start
     {
-      get { return this.RangeParameter.Value.Start; }
-      set { this.RangeParameter.Value.Start = value; }
+      get { return RangeParameter.Value.Start; }
+      set { RangeParameter.Value.Start = value; }
     }
 
     public int End
     {
-      get { return this.RangeParameter.Value.End; }
-      set { this.RangeParameter.Value.End = value; }
+      get { return RangeParameter.Value.End; }
+      set { RangeParameter.Value.End = value; }
     }
 
     public override int GetErcValue(IRandom random) {
 
-      return this.Start < this.End ? random.Next(this.Start, this.End) : 0;
+      return Start < End ? random.Next(Start, End) : 0;
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Generators/StringGenerator.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Generators/StringGenerator.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Generators/StringGenerator.cs	(revision 14908)
@@ -18,8 +18,8 @@
 
     public string GetNext() {
-      var length = this.index < chars.Length ? 1 : (int)Math.Log(this.index, chars.Length) + 1;
+      var length = index < chars.Length ? 1 : (int)Math.Log(index, chars.Length) + 1;
       var result = new char[length];
-      var tmp = this.index;
-      this.index++;
+      var tmp = index;
+      index++;
 
       for (var i = length; i > 0; i--) {
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Attributes/PushExpressionAttriubte.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Attributes/PushExpressionAttriubte.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Attributes/PushExpressionAttriubte.cs	(revision 14908)
@@ -11,7 +11,7 @@
 
     public PushExpressionAttribute(StackTypes stackType, string expressionName, StackTypes additionalStackDependencies = default(StackTypes)) {
-      this.StackType = stackType;
-      this.AdditionalStackDependencies = additionalStackDependencies;
-      this.ExpressionName = expressionName;
+      StackType = stackType;
+      AdditionalStackDependencies = additionalStackDependencies;
+      ExpressionName = expressionName;
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/List/SkipList.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/List/SkipList.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/List/SkipList.cs	(revision 14908)
@@ -50,5 +50,5 @@
 
     public SkipListNode(T value) {
-      this.Value = value;
+      Value = value;
     }
 
@@ -62,9 +62,9 @@
 
     public virtual bool IsHeader() {
-      return this.GetType() == typeof(SkipListNodeHeader<T>);
+      return GetType() == typeof(SkipListNodeHeader<T>);
     }
 
     public virtual bool IsFooter() {
-      return this.GetType() == typeof(SkipListNodeFooter<T>);
+      return GetType() == typeof(SkipListNodeFooter<T>);
     }
   }
@@ -162,9 +162,9 @@
     /// </summary>
     protected void clearEmptyLevels() {
-      if (this.levels > 1) //more than one level, don't want to remove bottom level
+      if (levels > 1) //more than one level, don't want to remove bottom level
       {
-        SkipListNode<T> currentNode = this.topLeft;
-
-        while (currentNode != this.bottomLeft) //do not remove the bottom level
+        SkipListNode<T> currentNode = topLeft;
+
+        while (currentNode != bottomLeft) //do not remove the bottom level
         {
           if (currentNode.IsHeader() && currentNode.Next.IsFooter()) {
@@ -181,5 +181,5 @@
 
             //Update counters
-            this.levels--;
+            levels--;
 
             currentNode = belowNode; //scan down
@@ -197,5 +197,5 @@
 
       //Add levels to entire list if necessary
-      int newLevelCount = valueLevels - this.levels; //number of levels missing
+      int newLevelCount = valueLevels - levels; //number of levels missing
       while (newLevelCount > 0) {
         //Create new level
@@ -203,17 +203,17 @@
 
         //Link down
-        newLevel.Below = this.topLeft;
-        this.topLeft.Above = newLevel;
-        this.topLeft = newLevel; //update reference to most top-left node
+        newLevel.Below = topLeft;
+        topLeft.Above = newLevel;
+        topLeft = newLevel; //update reference to most top-left node
 
         //Update counters
         newLevelCount--;
-        this.levels++;
+        levels++;
       }
 
       //Insert the value in the proper position, creating as many levels as was randomly determined
-      SkipListNode<T> currentNode = this.topLeft;
+      SkipListNode<T> currentNode = topLeft;
       SkipListNode<T> lastNodeAbove = null; //keeps track of the upper-level nodes in a tower
-      int currentLevel = this.levels - 1;
+      int currentLevel = levels - 1;
 
       while (currentLevel >= 0 && currentNode != null) {
@@ -256,5 +256,5 @@
       }
 
-      this.size++; //update count
+      size++; //update count
     }
 
@@ -263,5 +263,5 @@
     /// </summary>
     public virtual SkipListNode<T> Find(T value) {
-      SkipListNode<T> foundNode = this.topLeft;
+      SkipListNode<T> foundNode = topLeft;
 
       //Look for the highest-level node with an element value matching the parameter value
@@ -286,6 +286,6 @@
     /// </summary>
     public virtual SkipListNode<T> FindLowest(T value) {
-      SkipListNode<T> valueNode = this.Find(value);
-      return this.FindLowest(valueNode);
+      SkipListNode<T> valueNode = Find(value);
+      return FindLowest(valueNode);
     }
 
@@ -309,6 +309,6 @@
     /// </summary>
     public virtual SkipListNode<T> FindHighest(T value) {
-      SkipListNode<T> valueNode = this.Find(value);
-      return this.FindHighest(valueNode);
+      SkipListNode<T> valueNode = Find(value);
+      return FindHighest(valueNode);
     }
 
@@ -332,5 +332,5 @@
     /// </summary>
     public virtual bool Contains(T value) {
-      return (this.Find(value) != null);
+      return (Find(value) != null);
     }
 
@@ -339,6 +339,6 @@
     /// </summary>
     public virtual bool Remove(T value) {
-      SkipListNode<T> valueNode = this.FindHighest(value);
-      return this.Remove(valueNode);
+      SkipListNode<T> valueNode = FindHighest(value);
+      return Remove(valueNode);
     }
 
@@ -352,5 +352,5 @@
         //Make sure node is top-level node in it's tower
         if (valueNode.Above != null)
-          valueNode = this.FindHighest(valueNode);
+          valueNode = FindHighest(valueNode);
 
         //---Delete nodes going down the tower
@@ -372,8 +372,8 @@
 
         //update counter
-        this.size--;
+        size--;
 
         //Clean up the Skip List by removing levels that are now empty
-        this.clearEmptyLevels();
+        clearEmptyLevels();
 
         return true;
@@ -385,5 +385,5 @@
     /// </summary>
     public virtual void Clear() {
-      SkipListNode<T> currentNode = this.Head;
+      SkipListNode<T> currentNode = Head;
 
       while (currentNode != null) {
@@ -391,5 +391,5 @@
 
         if (!currentNode.IsHeader() && !currentNode.IsFooter()) {
-          this.Remove(currentNode);
+          Remove(currentNode);
         }
 
@@ -409,5 +409,5 @@
     /// </summary>
     public virtual void CopyTo(T[] array, int startIndex) {
-      IEnumerator<T> enumerator = this.GetEnumerator();
+      IEnumerator<T> enumerator = GetEnumerator();
 
       for (int i = startIndex; i < array.Length; i++) {
@@ -423,6 +423,6 @@
     /// </summary>
     public virtual int GetHeight(T value) {
-      SkipListNode<T> valueNode = this.FindLowest(value);
-      return this.GetHeight(valueNode);
+      SkipListNode<T> valueNode = FindLowest(value);
+      return GetHeight(valueNode);
     }
 
@@ -459,5 +459,5 @@
     /// </summary>
     IEnumerator IEnumerable.GetEnumerator() {
-      return this.GetEnumerator();
+      return GetEnumerator();
     }
 
@@ -480,5 +480,5 @@
       object IEnumerator.Current
       {
-        get { return this.Current; }
+        get { return Current; }
       }
 
@@ -493,5 +493,5 @@
       public bool MoveNext() {
         if (current == null)
-          current = this.skipList.Head.Next; //Head is header node, start after
+          current = skipList.Head.Next; //Head is header node, start after
         else
           current = current.Next;
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledList.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledList.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledList.cs	(revision 14908)
@@ -7,5 +7,5 @@
   public class PooledList<T> : List<T>, IPooledObject {
     public void Reset() {
-      this.Clear();
+      Clear();
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledObject.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledObject.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Pool/PooledObject.cs	(revision 14908)
@@ -16,10 +16,10 @@
 
     public virtual void Dispose() {
-      this.resetor(this.item);
-      this.pool.Free(this);
+      resetor(item);
+      pool.Free(this);
     }
 
     public void Reset() {
-      this.resetor(this.item);
+      resetor(item);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Tree/TreeNode.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Tree/TreeNode.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Data/Tree/TreeNode.cs	(revision 14908)
@@ -15,9 +15,9 @@
 
     public void Add(T value) {
-      this.Children.Add(new TreeNode<T>(value));
+      Children.Add(new TreeNode<T>(value));
     }
 
     public void AddNode(TreeNode<T> node) {
-      this.Children.Add(node);
+      Children.Add(node);
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DefineExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DefineExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DefineExpressions.cs	(revision 14908)
@@ -36,5 +36,5 @@
       if (interpreter.Configuration.TopLevelPushCode && (interpreter.CodeStack.Count < 2)) return false;
 
-      this.Eval(
+      Eval(
         interpreter.CodeStack,
         interpreter.NameStack,
@@ -53,5 +53,5 @@
       if (interpreter.ExecStack.Count < 2) return false;
 
-      var noop = this.Eval(
+      var noop = Eval(
         interpreter.ExecStack,
         interpreter.NameStack,
@@ -70,5 +70,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(
+      return Eval(
         interpreter.FloatStack,
         interpreter.NameStack,
@@ -81,5 +81,5 @@
   public class IntegerDefineExpression : DefineExpression<long> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(
+      return Eval(
         interpreter.IntegerStack,
         interpreter.NameStack,
@@ -92,5 +92,5 @@
   public class BooleanDefineExpression : DefineExpression<bool> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(
+      return Eval(
         interpreter.BooleanStack,
         interpreter.NameStack,
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoCountExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoCountExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoCountExpressions.cs	(revision 14908)
@@ -52,5 +52,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.CodeStack);
+      return Eval(interpreter, interpreter.CodeStack);
     }
 
@@ -84,5 +84,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.ExecStack);
+      return Eval(interpreter, interpreter.ExecStack);
     }
 
